#ifndef PARTICLE_H
#define PARTICLE_H

#include "ParticleVector.h"
#include <GL/glut.h>

struct Particle {
	//Position, velocity, and acceleration.
	ParticleVector pos;	//In units.
	ParticleVector velocity;	//In units/second.
	ParticleVector acceleration;	//In units/second^2.

	//The time that the particle will be active for, in seconds.
	GLdouble timetolive;
	GLdouble maxtimetolive;
	GLfloat size;

	ColorVector color;

	bool active;
	Particle() : active(false), maxtimetolive(0.0) {}

	void Start() {
		active = true;
	}

	void Stop() {
		active = false;
	}
};

#endif

